Index: trunk/language/eu_ES/common.lang.php
===================================================================
--- trunk/language/eu_ES/common.lang.php	(revision 26972)
+++ trunk/language/eu_ES/common.lang.php	(revision 26987)
@@ -121,5 +121,5 @@
 $lang['Delete'] = 'Kentzea';
 $lang['Date'] = 'Hasierako data';
-$lang['Connection settings'] = 'Konexioaren parametroak';
+$lang['Connection settings'] = 'Konexio-parametroak';
 $lang['Contact'] = 'Harremanetan jartzea';
 $lang['Contact webmaster'] = 'Webmasterarekin harremanetan jartzea';
@@ -132,3 +132,69 @@
 $lang['Comments'] = 'Iruzkinak';
 $lang['Confirm Password'] = 'Pasahitza beretsi';
+$lang['Notification'] = 'RSS';
+$lang['Password'] = 'Pasahitza';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Mesedez, email hau jaso duela akatsagatik uste badu, gurekin harremanetan jar zaitez %s';
+$lang['Links'] = 'Loturak';
+$lang['Login'] = 'Identifikatzea';
+$lang['Logout'] = 'Deskonexioa';
+$lang['Manage this user comment: %s'] = 'Iruzkinak kudeatu: %s';
+$lang['Manual sort order'] = 'Eskuzko ordena';
+$lang['Menu'] = '
+Menua';
+$lang['Invalid key'] = 'Pasahitz baliogabea';
+$lang['Invalid password!'] = 'Pasahitz baliogabea';
+$lang['Invalid username or email'] = 'Erabiltzaile-izena edo helbide elektroniko baliogabea';
+$lang['Keyword'] = 'Gako-hitza';
+$lang['Kind of date'] = 'Zein?';
+$lang['Language'] = 'Hizkuntza';
+$lang['Last'] = 'Azkena';
+$lang['Last Page'] = 'Azken orrialdea';
+$lang['File name, Z &rarr; A'] = 'Artxibo izena, Z &rrar; A';
+$lang['I want to add photos'] = 'Argazkiak gehitu nahi dut';
+$lang['IP: %s'] = 'IP: %s';
+$lang['IPTC Metadata'] = 'Metadatak IPTC';
+$lang['Identification'] = 'Autentifikazioa';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Akatsa bat izanez gero, mezu hau ezikusi. Zure eskaera ukatu egingo da.';
+$lang['Filesize'] = 'Tamaina';
+$lang['Filter'] = 'Iragaztea';
+$lang['Filter and display'] = 'Iragazkia ematea';
+$lang['First'] = 'Lehen';
+$lang['First Page'] = 'Lehen orrialdea';
+$lang['Forbidden'] = 'Debekatuta';
+$lang['Forgot your password?'] = 'Bere pasahitza ahaztu du?';
+$lang['Go back to the album'] = 'Albumera itzultzea';
+$lang['Go through the gallery as a visitor'] = 'Bisitari bezala galeriara sartzea';
+$lang['Hello'] = 'Kaixo';
+$lang['Hello %s,'] = 'Kaixo &s,';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Kaixo %s, galeria hutsik dago';
+$lang['Help'] = 'Laguntza';
+$lang['Here are your connection settings'] = 'Bere konexio-parametroak hemen ditu';
+$lang['Home'] = 'Hasiera';
+$lang['Created on'] = 'Sortuta';
+$lang['Date posted, new &rarr; old'] = 'Argitalpen-data, berria &rrar; zaharra';
+$lang['Date posted, old &rarr; new'] = 'Argitalpen-data, zaharra &rrar; berria';
+$lang['Favorites'] = 'Gogokoak';
+$lang['File'] = 'Artxibo';
+$lang['File name'] = 'Artxibo izena';
+$lang['File name, A &rarr; Z'] = 'Artxibo izena, A &rrar; Z';
+$lang['Each listed rule must be satisfied.'] = 'Zerrendatutako arau bakoitza burutzeko behar da';
+$lang['Email address is mandatory'] = 'Posta elektronikoa helbidea beharrezkoa da';
+$lang['Email address is missing. Please specify an email address.'] = 'Zure posta elektronikoaren helbidea falta da. Mesedez sar ezazu.';
+$lang['Email: %s'] = 'Email: %s';
+$lang['Empty query. No criteria has been entered.'] = 'Ez duzu inongo bilaketa-irizpiderik sartu';
+$lang['End-Date'] = 'Azkeneko data';
+$lang['Enter your new password below.'] = 'Pasahitz berria sar ezazu';
+$lang['Enter your personnal informations'] = 'Bere informazio pertsonala sar ezazu';
+$lang['Error sending email'] = 'Error posta elektronikoa bidaliz';
+$lang['Expand all albums'] = 'Album guztiak hedatzea';
+$lang['Desktop'] = 'Mahaigaina';
+$lang['Dimensions'] = 'Dimentsioak';
+$lang['Display'] = 'Ikusi';
+$lang['Download'] = 'Deskargatu';
+$lang['Download this file'] = 'Deskargatu';
+$lang['EXIF Metadata'] = 'Kamera digitala';
+$lang['Edit'] = 'Editatzea';
+$lang['Edit a comment'] = 'Iruzkina editatzea';
+$lang['Email'] = 'Posta elektronikoa';
+$lang['Email address'] = 'Posta elektronikoa';
 ?>