Index: extensions/meta/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/meta/language/nl_NL/plugin.lang.php	(revision 26983)
+++ extensions/meta/language/nl_NL/plugin.lang.php	(revision 26995)
@@ -23,21 +23,21 @@
 $lang['Metadata - Plugin meta'] = 'Metadata - Plugin meta';
 $lang['meta_Description_help'] = 'Beschrijving van je website<br> Maakt het mogelijk om informatie te geven bij het resultaat van een zoekopdracht.';
-$lang['meta_Description'] = 'Beschrijving van de meta-beschrijving';
-$lang['meta_author_help'] = 'Informatie over de auteur <br> Informatie over de auteur van de site';
-$lang['meta_author'] = 'Beschrijving van de meta-auteur';
+$lang['meta_Description'] = '"beschrijving" meta-beschrijving';
+$lang['meta_author_help'] = 'Informatie over de auteur <br> Naam, bijnaamvan de auteur van de site';
+$lang['meta_author'] = '"auteur" meta-beschrijving';
 $lang['meta_choix'] = 'Bewerk metadata';
-$lang['meta_compcatdeshelp'] = 'Zal alle beschrijvingen vervangen';
-$lang['meta_compcatdes'] = 'Beschrijving van het te vervangen album';
-$lang['meta_compcat'] = 'Sleutelwoorden van het nog in te vullen album';
-$lang['meta_compimgdes'] = 'Beschrijving van de te vervangen foto';
-$lang['meta_compimg'] = 'Sleutelwoorden van de nog af te handelen foto';
-$lang['meta_comp'] = 'Nog toe te voegen metadata';
+$lang['meta_compcatdeshelp'] = 'Zal de huidige beschrijving vervangen';
+$lang['meta_compcatdes'] = 'Nieuwe beschrijving voor dit album';
+$lang['meta_compcat'] = 'Nieuwe sleutelwoorden voor dit album';
+$lang['meta_compimgdes'] = 'Nieuwe beschrijving voor deze foto';
+$lang['meta_compimg'] = 'Nieuwe sleutelwoorden voor deze foto';
+$lang['meta_comp'] = 'Nog af te handelen metadata';
 $lang['meta_description'] = 'beschrijving';
-$lang['meta_desh3'] = 'Voeg metadata aan alle pagina\'s toe';
+$lang['meta_desh3'] = 'Voeg huidige metadata aan alle pagina\'s toe';
 $lang['meta_diff_val'] = 'Mogeljke waarde';
 $lang['meta_inscat'] = 'Voeg metadata in';
 $lang['meta_insmeta'] = 'voeg de metadata in';
 $lang['meta_keywords_help'] = '"Sleutelwoord, sleutelwoord, enz."<br> Sleutelwoorden die de webpagina omschrijven. (Gescheiden door een komma)';
-$lang['meta_keywords'] = 'Beschrijving van de meta sleutelwoorden';
+$lang['meta_keywords'] = '"Sleutelwoorden" meta-beschrijving';
 $lang['meta_list'] = 'Metadata:';
 $lang['meta_name'] = 'Naam van metadata';
@@ -45,5 +45,5 @@
 $lang['meta_onglet_gestion'] = 'Metadata';
 $lang['meta_robots_help'] = 'all : Staat de robot toe alles te indexeren (Standaard)<br> follow : Staat de robot toe om links op de pagina te volgen<br> index : Staat de robot toe om de pagina te indexeren<br> nofollow : Verhinderd het volgen van links op de pagina door een robot<br> noindex : Verhinderd het indexeren van de pagina door een robot<br> none : Verhinderd het indexeren van de site door een robot<br>';
-$lang['meta_robots'] = 'Beschrijving meta robots';
+$lang['meta_robots'] = '"robots" meta-beschrijving';
 $lang['meta_select2'] = 'Kies metadata';
 $lang['meta_select'] = 'Selecteer de te bewerken metadata';
@@ -53,8 +53,8 @@
 $lang['Personal Metadata'] = 'Persoonlijke metadata';
 $lang['Personal metadata update'] = 'Persoonlijke metadata bijwerken';
-$lang['Description of Additional Pages to be completed'] = 'Beschrijving van de nog in te vullen extra pagina';
-$lang['Description of contact page to be completed'] = 'Beschrijving van de nog in te vullen contactpagina';
-$lang['Keywords of Additional Pages to be completed'] = 'Sleutelwoorden van de nog in te vullen extra pagina';
-$lang['Keywords of contact page to be completed'] = 'Sleutelwoorden van de nog in te vullen contactpagina';
+$lang['Description of Additional Pages to be completed'] = 'Beschrijving van de nog af te handelen extra pagina';
+$lang['Description of contact page to be completed'] = 'Beschrijving van de nog af te handelen contactpagina';
+$lang['Keywords of Additional Pages to be completed'] = 'Sleutelwoorden van de nog af te handelen extra pagina';
+$lang['Keywords of contact page to be completed'] = 'Sleutelwoorden van de nog af te handelen contactpagina';
 $lang['Add metadata for page'] = 'Voeg metadata toe voor pagina';
 $lang['Additional Pages Metadata'] = 'Metadata van de extra pagina\'s';