Index: /extensions/oAuth/language/eo_EO/description.txt
===================================================================
--- /extensions/oAuth/language/eo_EO/description.txt	(revision 27024)
+++ /extensions/oAuth/language/eo_EO/description.txt	(revision 27024)
@@ -0,0 +1,1 @@
+Provizas variajn manierojn ensaluti en via galerio (Tvitero, Vizaĝlibro, Guglo, ktp.)
Index: /extensions/oAuth/language/eo_EO/help.lang.php
===================================================================
--- /extensions/oAuth/language/eo_EO/help.lang.php	(revision 27024)
+++ /extensions/oAuth/language/eo_EO/help.lang.php	(revision 27024)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Based on OpenID'] = 'Bazita sur OpenID';
+$lang['No registration required'] = 'Necesas neniu registrado';
+$lang['Provide this URL as the Callback/Redirect URL for your application: <em>%s</em>'] = 'Provizi tiun retadreson kiel la Revoka/Alidirekta retadreso por via aplikaĵo: <em>%s</em>';
+$lang['Set <b>%s</b> to <em>%s</em>'] = 'Ŝalti <b>%s</b> al <em>%s</em>';
+?>
Index: /extensions/oAuth/language/eo_EO/plugin.lang.php
===================================================================
--- /extensions/oAuth/language/eo_EO/plugin.lang.php	(revision 27023)
+++ /extensions/oAuth/language/eo_EO/plugin.lang.php	(revision 27024)
@@ -28,3 +28,25 @@
 $lang['Please enter your user ID'] = 'Bonvolu entajpi vian uzantan identigilon';
 $lang['Please enter your username'] = 'Bonvolu entajpi vian salutnomo';
+$lang['Icon size in the menubar'] = 'Grandeco de la bildsimbolo en la menubreto';
+$lang['Icon size on the identification page'] = 'Grandeco de la bildsimbolo en la identiga paĝo';
+$lang['Profile URL'] = 'Retadreso de la profilo';
+$lang['Social Connect: PHP Curl extension is needed'] = 'Socia Konekto: necesas la kromprogramo PHP Curl';
+$lang['Social Connect: You need to configure the credentials'] = 'Socia Konekto: Vi bezonas agordi la ensalutilojn';
+$lang['Users are not allowed to register on your gallery. Social Connect will not work correctly.'] = 'Uzantoj ne rajtas registri sur via galerio. Socia Konekto ne taŭge funkcios.';
+$lang['You registered with a %s account, please sign in with the same account.'] = 'Vi registriĝis kun %s konto, bonvolu ensaluti kun la sama.';
+$lang['Your registration is almost done, please complete the registration form.'] = 'Via registrado preskaŭ finkompletas, bonvolu plenigi la registradan formularon.';
+$lang['Allow users to merge existing account with new <i>Social Connect</i> identity'] = 'Permesi al la uzantoj kunfandi ekzistantan konton kun nova identeco <i>Socia Konekto</i>';
+$lang['An error occured, please contact the gallery owner. <i>Error code : %s</i>'] = 'Eraro okazis, bonvolu kontakti la galerian posedanton. <i>Eraro kodo: %s</i>';
+$lang['Associate with an existing account'] = 'Asocii kun ekzistanta konto';
+$lang['Authentication canceled'] = 'Aŭtentokontrolo nuligita';
+$lang['Display sign in buttons in the menubar'] = 'Vidigi la ensalutajn butonojn en la menubreton';
+$lang['Display sign in buttons on the register page'] = 'Vidigi la ensalutajn butonojn en la registran paĝon';
+$lang['Logged with'] = 'Konektita kun';
+$lang['Please enter your OpenID URL'] = 'Bonvolu entajpi vian retadreson OpenID';
+$lang['Sign in with %s'] = 'Ensaluti kun %s';
+$lang['Contacting <b>%s</b>. Please wait.'] = 'Kontaktanta la servilon <b>%s</b>. Bonvolu atendi.';
+$lang['Disabled'] = 'Malaktivigita';
+$lang['Loading...'] = 'Ŝutanta...';
+$lang['Providers'] = 'Provizantoj';
+$lang['Sorry, new registrations are blocked on this gallery.'] = 'Bedaŭrinde, novaj registradoj estas blokitaj sur tiu galerio.';
 ?>