Index: /trunk/language/es_ES/help/help_add_photos.html
===================================================================
--- /trunk/language/es_ES/help/help_add_photos.html	(revision 27048)
+++ /trunk/language/es_ES/help/help_add_photos.html	(revision 27049)
@@ -1,17 +1,14 @@
-<p>Existen varios métodos para añadir fotos en vuestro galería:</p>
+<p>Existen varios métodos para añadir fotos a su galería:</p>
 
 <ul>
 
-  <li><strong>El añadido directo</strong> en su navegador Web es el método más simple y más inmediato. Depende de capacidades de su navegador y de su servidor. ¡ Para gruesos volúmenes o en caso de problemas, los métodos alternativos le esperan!</li>
+  <li><strong>Añadirlas de forma directa</strong> desde su navegador web es el método más simple e inmediato. Depende de la capacidad de su navegador y sobretodo de su servidor. Para grandes cantidades de fotos o en el caso de que surgieran problemas existen métodos alternativos:</li>
 </ul>
 
-<p class="nextStepLink"><a href="admin.php?page=photos_add&section=direct">Utilizar el añadido directo</a></p>
+<p class="nextStepLink"><a href="admin.php?page=photos_add&section=direct">Añadir fotos de forma directa</a></p>
 
 <ul>
-  <li><strong>pLoader</strong> es un software que hay que instalar sobre su ordenador.
-  Resbale sus fotos en la ventana de pLoader, haga clic sobre
-  <em>"Trasladar hacia Piwigo"</em> y pLoader se ocupa además.
-  Otros softwares clientes existen, como <strong>WinToPiwigo</strong> o el módulo
-  de expuerto Piwigo de <strong>Digikam</strong>.</li>
+  <li><strong>pLoader</strong> es un software que se instala en su ordenador. Simplemente arrastre sus fotos hasta la ventana de pLoader, haga clic sobre <em>"Trasladar a Piwigo"</em> y pLoader se ocupará de todo.
+Existen otros softwares clientes como <strong>WinToPiwigo</strong> o el módulo <strong>Digikam</strong>.</li>
 </ul>
 
@@ -20,6 +17,5 @@
 <div id="helpSynchro">
 <ul>
-  <li><strong>El FTP</strong> es el método ideal para añadir una colección importante en un mínimo de operaciones.
- Siga al guía para preparar sus fotos. Este método le permite controlar con precision la organización física de su fotos sobre su servidor.</li>
+  <li><strong>Subir fotos por medio del protocolo FTP</strong> es el método ideal para añadir colecciones importantes en un mínimo de operaciones. Este método le permite controlar con precisión la organización física de sus fotos en su servidor.</li>
 </ul>
 
Index: /trunk/language/es_ES/help/help_groups.html
===================================================================
--- /trunk/language/es_ES/help/help_groups.html	(revision 27048)
+++ /trunk/language/es_ES/help/help_groups.html	(revision 27049)
@@ -1,7 +1,3 @@
-<p>Los grupos de usuarios permiten asignar permisos a una lista de usuarios.</p>
-
-<p>Usted puede crear grupos y añadir usuarios en ello
-<span class="pwgScreen">Administración &raquo; Usuarios &raquo; Grupos</span>.</p>
-
-<p>Un usuarios puede pertenecer a varios grupos. La autorización es más fuerte que la interdicción: si el usuario "piedra" pertenece a los grupos "familia" y "los amigos", y si sólo el grupo "familia" puede visitar la categoría " Navidad 2003 ", entonces "piedra" puede visitar esta categoría.</p>
-
+<p>Los grupos de usuarios permiten asignar permisos a una conjunto determinado de usuarios.</p>
+<p>Puede crear grupos y asignarle usuarios en <span class="pwgScreen">Administración &raquo; Usuarios &raquo; Grupos</span>. Un mismo usuario puede pertenecer a varios grupos al mismo tiempo.</p>
+<p>La autorización tiene prioridad sobre la prohibición. Por ejemplo, si el usuario "Pedro" pertenece a los grupos "Familia" y "Amigos", y si sólo el grupo "Familia" puede ver el álbum "Navidad 2014", entonces "Pedro" verá también el álbum "Navidad 2014".</p>
Index: /trunk/language/es_ES/help/help_permissions.html
===================================================================
--- /trunk/language/es_ES/help/help_permissions.html	(revision 27048)
+++ /trunk/language/es_ES/help/help_permissions.html	(revision 27049)
@@ -1,46 +1,32 @@
 <fieldset>
-<legend>Permisos para fotos</legend>
-
-<p>Cada foto tiene un <strong>nivel de privacidad</strong> (un cierre). Igual que cada usuario tiene su nivel de privacidad(una llave).Hay 5 niveles de privacidad:</p>
-<ol>
-  <li>Ninguno</li>
-  <li><em>Contactos</em></li>
-  <li><em>Amigos (que es superior al de un contacto)</em></li>
-  <li><em>Familia (que es superior al de un amigo)</em></li>
-  <li><em>Admins (que es superior al de otros niveles)</em></li>
-</ol>
-
-<p>Los niveles altos tienen permisos sobre los niveles bajos. Para  un usuario dado, mas alto sera el nivel de privacidad,  mas fotos pueda ver.</p>
-
-<p>Por ejemplo, si la foto "Boda_pedro-0024.jpg"tiene el nivel de privacidad<em>"Familia"</em>, entonces:</p>
-<ul>
-  <li>Pedro (que es un <em>"Admin"</em>) puede ver la foto porque<em>"Admins"</em> puede ver todas las fotos</li>
-  <li>Beth (que es un miembro de<em>"Familia"</em>) puede ver también la foto</li>
-  <li>Maria (que solo es <em>"Amigos"</em>) no puede ver la foto</li>
-</ul>
-
-<p>Un usuario que no tiene permiso para ver el contenido de una categoría no verá la categoría en sí misma, ni siquiera su título. El mismo principio se aplica a una etiqueta.</p>
-
-<p>Puede establecer el nivel de privacidad de un usuario en <span class="pwgScreen">Administración &raquo; Usuarios &raquo; Gestion</span> pantalla.</p>
-
+	<legend>Permisos</legend>
+	<p>Pueden establecerse diferentes <strong>niveles de privacidad</strong> para las fotos (bloqueos). Cada usuario también tiene su nivel de privacidad (una llave). Hay 5 niveles de privacidad:</p>
+	<ol>
+		<li>Ninguno</li>
+		<li><em>Contactos</em></li>
+		<li><em>Amigos (que es superior al de un contacto)</em></li>
+		<li><em>Familia (que es superior al de un amigo)</em></li>
+		<li><em>Admins (que está por encima de todos)</em></li>
+	</ol>
+	<p>Los niveles altos tienen permisos sobre los niveles bajos. Cuanto mayor sea el nivel de privacidad de un usuario, más fotos podrá ver.</p>
+	<p>Por ejemplo, si la foto "boda_pedro-0024.jpg" tiene el nivel de privacidad<em>"Familia"</em>, entonces:</p>
+	<ul>
+		<li>Pedro (que es un <em>"Admin"</em>) puede ver la foto porque <em>"Admins"</em> puede ver absolutamente todas las fotos.</li>
+		<li>Beatriz (que es un miembro de <em>"Familia"</em>) puede ver también la foto.</li>
+		<li>Maria (que solo es miembro de <em>"Amigos"</em>) no puede ver la foto</li>
+	</ul>
+	<p>Un usuario que no tiene permisos para ver el contenido de un álbum no podrá verlo, ni siquiera su título. El mismo principio se aplica a una etiqueta.</p>
+	<p>Puede establecer el nivel de privacidad de un usuario en las sección <span class="pwgScreen">Administración &raquo; Usuarios &raquo; Administrar</span>.</p>
 </fieldset>
-
 <fieldset>
-<legend>Permisos de las categorías</legend>
-
-<p>Si los niveles de privacidad no se ajustan a sus necesidades, también puede administrar los permisos de las categorías para un usuario o un grupo. Puede administrar los permisos en las fotos y las categorías al mismo tiempo, sin conflicto.</p>
-
-<p>Usted puede prohibir el acceso a las categorías. Pase el tipo de acceso a "intimidad" si usted desea administrar los permisos</p>
-
-<p>Usted puede devolver una categoría particular editándola (<span
-class="pwgScreen">Administración &raquo; Categorías &raquo; Administrar &raquo; Editar</span>) O administrando las opciones para su árbol completo de categorías (<span
-class="pwgScreen">Administración &raquo; Categorías &raquo; Propiedades &raquo; Pública / particular</span>).</p>
-
-<p>Cuando ciertas categorías estan privadas, usted puede administrar los permisos con 3 pantallas:</p>
-
-<ul>
-  <li><span class="pwgScreen">Administración &raquo; Usuarios &raquo; Administrar &raquo; Acciones Permisos</span> (1 lazo por usuario)</li>
-  <li><span class="pwgScreen">Administración &raquo; Usuarios &raquo; Grupos &raquo; Acciones Permisos</span> (1 lazo por grupo)</li>
-  <li><span class="pwgScreen">Administración &raquo; Categorías &raquo; Administrar &raquo; Modificar los permisos</span> (1 lazo por categoría)</li>
-</ul>
-
+	<legend>Permisos de los álbumes</legend>
+	<p>Si los niveles de privacidad no se ajustan a sus necesidades, también puede administrar los permisos de los álbumes para un usuario o un grupo. Puede administrar los permisos para las fotos y los álbumes al mismo tiempo sin ningún problema.</p>
+	<p>Puede prohibirse el acceso a los álbumes. Para ello debe simplemente cambiar el tipo de acceso a "Privado".</p>
+	<p>Puede configurar un álbum a "Privado"mediante la edición de un solo álbum (<span class="pwgScreen">Administración &raquo; Álbumes &raquo; Administrar &raquo; Editar</span>) o administrando las opciones para su árbol completo de álbumes (<span class="pwgScreen">Administración &raquo; Álbumes &raquo; Propiedades &raquo; Público / Privado</span>).</p>
+	<p>Una vez se establece el álbum como "Privado", puede administrar los permisos para grupos y usuarios por medio de las tres siguientes secciones:</p>
+	<ul>
+		<li><span class="pwgScreen">Administración &raquo; Usuarios &raquo; Administrar &raquo; Acción - Permisos</span> (1 vínculo por usuario)</li>
+		<li><span class="pwgScreen">Administración &raquo; Usuarios &raquo; Grupos &raquo; Acción - Permisos</span> (1 vínculo por grupo)</li>
+		<li><span class="pwgScreen">Administración &raquo; Álbumes &raquo; Administrar &raquo; Editar - Permisos</span> (1 vínculo por álbum)</li>
+	</ul>
+</fieldset>