Index: extensions/Ldap_Login/language/es_ES/index.php
===================================================================
--- extensions/Ldap_Login/language/es_ES/index.php	(revision 27076)
+++ extensions/Ldap_Login/language/es_ES/index.php	(revision 27076)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Ldap_Login/language/es_ES/plugin.lang.php
===================================================================
--- extensions/Ldap_Login/language/es_ES/plugin.lang.php	(revision 27076)
+++ extensions/Ldap_Login/language/es_ES/plugin.lang.php	(revision 27076)
@@ -0,0 +1,52 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['New users when ldap auth is successfull'] = 'Nuevos usuarios cuando la autentificación LDAP es exitosa';
+$lang['Save'] = 'Guardar';
+$lang['Secure connexion'] = 'Conexión segura (ldap)';
+$lang['Test Settings'] = 'Test de la configuración';
+$lang['Username'] = 'Su nombre de usuario Ldap';
+$lang['Warning: LDAP Extension missing.'] = 'Atención: falta la extensión LDAP';
+$lang['You must save the settings with the Save button just up there before testing here.'] = 'Tiene que guardar la configuración usando en botón de arriba antes de iniciar un test';
+$lang['Your password'] = 'Su contraseña LDAP';
+$lang['All LDAP users can use their ldap password everywhere on piwigo if needed.'] = 'Todos los usuarios de LDAP pueden utilizar su contraseña en todas las partes de piwigo si es necesario.';
+$lang['Attribute corresponding to the user name'] = 'Atributo que corresponde al nombre de usuario';
+$lang['Base DN'] = 'La base DN es donde deben encontrarse los usuarios de LDAP (por ejemplo: ou = usuarios, dc = ejemplo, dc = com):';
+$lang['Bind DN, field in full ldap style'] = 'Enlace DN en el estilo de LDAP (por ejemplo: cn = admin, dc = ejemplo, dc = com).';
+$lang['Bind password'] = 'Contraseña Bind';
+$lang['Do you allow new piwigo users to be created when users authenticate succesfully on the ldap ?'] = '¿Permite que los nuevos usuarios de Piwigo que se crean cuando los usuarios se autentican con éxito en el ldap?';
+$lang['Do you want admins to be advertised by mail in case of new users creation upon ldap login ?'] = 'Desea ser advertido por mail en caso de creacion de una nueva cuenta ldap ?';
+$lang['Do you want to send mail to the new users, like casual piwigo users receive ?'] = 'Desea mandar mail a los nuevos usuarios, como la mayoria de los usuarios de Piwigo ?';
+$lang['If empty, localhost and standard protocol ports will be used in configuration.'] = 'En caso de estar libre. el localhost y los protocolos de los puertos se utilizaran para la configuracion. ';
+$lang['If empty, standard protocol ports will be used by the software.'] = 'En caso de estar libre, los protocolos de los puertos se utilizaran para los programas.';
+$lang['Ldap attributes'] = 'Atributos LDAP';
+$lang['Ldap connection credentials'] = 'Credenciales de conexion ldap';
+$lang['Ldap filter :'] = 'Filtros ldap';
+$lang['Ldap port'] = 'Puerto ldap';
+$lang['Ldap server host'] = 'Servidor host de ldap';
+$lang['Ldap server host connection'] = 'Conexion del servidor ldap';
+$lang['Ldap_Login Plugin'] = 'Plugin de autentificacion de ldap';
+$lang['Ldap_Login Test'] = 'Test de autentificacion de ldap';
+$lang['Ldap_Login configuration'] = 'Configuracion de autentificacion de ldap
+';
+$lang['Let the fields blank if the ldap accept anonymous connections.'] = 'Deje los campos en blanco si el ldap acepte a conexiones anónimas.';
+?>