Index: /trunk/language/es_ES/help/help_misc.html
===================================================================
--- /trunk/language/es_ES/help/help_misc.html	(revision 27089)
+++ /trunk/language/es_ES/help/help_misc.html	(revision 27090)
@@ -1,5 +1,7 @@
-<p>Una vez creado su galería, configure la visualización por defecto tal como deseado en
-  <span class="pwgScreen">Administración &raquo; Configuración &raquo; Opciones &raquo; Parámetros invitado</span>. En efecto, cada nuevo usuario heredará de estas propiedades de visualización.</p>
-
-<p>Para cualquier pregunta, la comunidad Piwigo está a la escucha en el <a href="http://es.piwigo.org/forum">foro</a>.</p>
-
+<p>Una vez tenga creada su galería puede configurar la para sus visitantes
+	<ul>
+		<li>La visualización predeterminada que desee en <span class="pwgScreen">Administración &raquo; Configuración &raquo; Opciones &raquo; Ajustes de los invitados</span>. En efecto, cada nuevo usuario heredará de forma predeterminada los mismos ajustes de visualización.</p>
+		<li>El tema predeterminado en <span class="pwgScreen">Administración &raquo; Configuración &raquo; Temas</span></li>
+		<li>El idioma predeterminado en <span class="pwgScreen">Administración &raquo; Configuración &raquo; Idiomas</span></li>
+	</ul>
+<p>Para cualquier pregunta, la comunidad Piwigo le da la bienvenida en sus <a href="http://es.piwigo.org/forum">foros</a>.</p>
Index: /trunk/language/es_ES/help/help_permissions.html
===================================================================
--- /trunk/language/es_ES/help/help_permissions.html	(revision 27089)
+++ /trunk/language/es_ES/help/help_permissions.html	(revision 27090)
@@ -7,10 +7,10 @@
 		<li><em>Amigos (que es superior al de un contacto)</em></li>
 		<li><em>Familia (que es superior al de un amigo)</em></li>
-		<li><em>Admins (que está por encima de todos)</em></li>
+		<li><em>Administradores (que está por encima de todos)</em></li>
 	</ol>
 	<p>Los niveles altos tienen permisos sobre los niveles bajos. Cuanto mayor sea el nivel de privacidad de un usuario, más fotos podrá ver.</p>
 	<p>Por ejemplo, si la foto "boda_pedro-0024.jpg" tiene el nivel de privacidad<em>"Familia"</em>, entonces:</p>
 	<ul>
-		<li>Pedro (que es un <em>"Admin"</em>) puede ver la foto porque <em>"Admins"</em> puede ver absolutamente todas las fotos.</li>
+		<li>Pedro (que es un <em>"Administrador"</em>) puede ver la foto porque <em>"Administradores"</em> puede ver absolutamente todas las fotos.</li>
 		<li>Beatriz (que es un miembro de <em>"Familia"</em>) puede ver también la foto.</li>
 		<li>Maria (que solo es miembro de <em>"Amigos"</em>) no puede ver la foto</li>
Index: /trunk/language/es_ES/help/help_virtual_links.html
===================================================================
--- /trunk/language/es_ES/help/help_virtual_links.html	(revision 27089)
+++ /trunk/language/es_ES/help/help_virtual_links.html	(revision 27090)
@@ -1,7 +1,5 @@
-<p>Las fotos son visualizadas en las categorías que corresponden a los repertorios.</p>
+<p>Las fotos se ubican en directorios que se corresponden con cada álbum.</p>
 
-<p>Usted también puede visualizar una foto en varias categorías, sin duplicar el fichero sobre su servidor web. Asocie la foto con cualquier otra categoría desde la pantalla de edición de la foto (al cual pude acceder desde la página de visualización de la foto lado galería, cuando esta conectado como administrador)</p>
+<p>También puede visualizarse una foto en diversos álbumes, sin duplicar el fichero en su servidor web. Asocie la foto con cualquier otro álbum desde la pantalla de edición de la foto. (Los administradores puede acceder desde la página de la foto al lado de la galería)</p>
 
-<p>Las categorías virtuales parten de este principio : no tienen repertorio asociado. Cree categorías virtuales después <span class="pwgScreen">Administración &raquo; Categorías  &raquo; Administrar</span>.</p>
-
-
+<p>Los álbumes virtuales parten de este principio: no tienen ningún directorio asociado. Cree álbumes virtuales desde <span class="pwgScreen">Administración &raquo; Álbumes &raquo; Administrar</span>.</p>
Index: /trunk/language/es_ES/help/permalinks.html
===================================================================
--- /trunk/language/es_ES/help/permalinks.html	(revision 27089)
+++ /trunk/language/es_ES/help/permalinks.html	(revision 27090)
@@ -1,7 +1,7 @@
-<h2>Lazos permanentes</h2>
+<h2>Enlaces permanentes</h2>
 
-<p>Los lazos permanentes son utilizados para devolver el url de las categorías. Cuando una categoría tiene un lazo permanente asociado, identificándolo de la categoría no es necesario más en el url.</p>
+<p>Los enlaces permanentes son utilizados para devolver las url de los álbumes. Cuando un álbum tiene un enlace permanente asociado, ya no será necesario el identificador del álbum en la url.</p>
 
-<p>Cuando un lazo permanente es borrado, usted puede salvaguardarlo en la pestaña histórico de los lazos permanentes, de modo que los lazos externos tienen PWG todavía funcionan. En la pestaña histórico de los lazos permanentes usted puede ver la fecha de eliminación del lazo, así como la fecha de la última utilización y el número de utilizaciones de este lazo.</p>
+<p>Cuando un enlace permanente es eliminado, puede guardarlo en el histórico de enlaces permanentes, de modo que los enlaces externos a nuestras páginas de Piwigo todavía funcionan. En el histórico de enlaces permanentes puede ver la fecha de eliminación del enlace, así como número de veces y la fecha de su último uso.</p>
 
-<p>Por favor, anote que los lazos permanentes deben ser únicos. Deben también ser únicos en la pestaña histórico de los lazos permanentes.</p>
+<p>Debe tener en cuenta que los enlaces permanentes deben ser únicos por cada álbum. Solo pueden definirse una vez en el histórico.</p>