Index: extensions/Ldap_Login/language/lv_LV/index.php
===================================================================
--- extensions/Ldap_Login/language/lv_LV/index.php	(revision 27112)
+++ extensions/Ldap_Login/language/lv_LV/index.php	(revision 27112)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Ldap_Login/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/Ldap_Login/language/lv_LV/plugin.lang.php	(revision 27112)
+++ extensions/Ldap_Login/language/lv_LV/plugin.lang.php	(revision 27112)
@@ -0,0 +1,52 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['You must save the settings with the Save button just up there before testing here.'] = 'Jums ir nepieciešams saglabāt iestatījumus ar Save pogu pirms veikt to pārbaudi.';
+$lang['New users when ldap auth is successfull'] = 'Jauni lietotāji, kad LDAP autentifikācija ir veiksmīga';
+$lang['Let the fields blank if the ldap accept anonymous connections.'] = 'Ja LDAP atļauj anonīmus savienojumus, atstājiet laukus tukšus.';
+$lang['If empty, standard protocol ports will be used by the software.'] = 'Ja tukšs, programmatūra izmantos standarta protokola portus.';
+$lang['If empty, localhost and standard protocol ports will be used in configuration.'] = 'Ja tukšs, konfigurēšanai tiks izmantoti localhost un standarta protokola porti.';
+$lang['Do you want to send mail to the new users, like casual piwigo users receive ?'] = 'Vai jūs vēlaties nosūtīt pastu jaunajiem lietotājiem, piemēram, kādu to saņem parastie Piwigo lietotāji?';
+$lang['Do you want admins to be advertised by mail in case of new users creation upon ldap login ?'] = 'Vai jūs vēlaties, lai  admins tiek brīdināts pa pastu par jaunu lietotāju izveidošanu pēc pieteikšanās ar LDAP loginu?';
+$lang['Base DN'] = '
+Bāzes DN, kur būtu atrodami LDAP lietotājiem (ex : ou=users,dc=piemērs,dc=com) :';
+$lang['Do you allow new piwigo users to be created when users authenticate succesfully on the ldap ?'] = 'Vai jūs ļautu izveidot jaunus Piwigo lietotājus, ja lietotāji veiksmīgi autentificētos LDAP?';
+$lang['Bind DN, field in full ldap style'] = 'Piesaistīt DN ldap stilam (for ex : cn=admin,dc=piemērs,dc=com). ';
+$lang['Attribute corresponding to the user name'] = 'Lietotāja vārdam atbilstošs Atribūts';
+$lang['All LDAP users can use their ldap password everywhere on piwigo if needed.'] = 'Ja nepieciešams, visi LDAP lietotāji var izmantot savu LDAP paroli jebkur Piwigo.';
+$lang['Bind password'] = 'Piesaistīt paroli';
+$lang['Your password'] = 'Jūsu LDAP parole';
+$lang['Warning: LDAP Extension missing.'] = 'Brīdinājums: Trūkst LDAP Paplašinājums.';
+$lang['Username'] = 'Votre ldap lietotājvārds';
+$lang['Test Settings'] = 'Pārbaudīt iestadījumus';
+$lang['Secure connexion'] = 'Drošs savienojums (ldaps)';
+$lang['Save'] = 'Saglabāt';
+$lang['Ldap connection credentials'] = 'LDAP savienojuma pilnvaras';
+$lang['Ldap server host'] = 'Ldap servera hosts';
+$lang['Ldap_Login configuration'] = 'Ldap_Login konfigurācija';
+$lang['Ldap_Login Test'] = 'Ldap_Login Tests';
+$lang['Ldap_Login Plugin'] = 'Ldap_Login Spraudnis';
+$lang['Ldap server host connection'] = 'Ldap servera savienojums';
+$lang['Ldap port'] = 'Ldap ports';
+$lang['Ldap filter :'] = 'Ldap filtrs :';
+$lang['Ldap attributes'] = 'Ldap atribūti';
+?>