Index: /trunk/include/common.inc.php
===================================================================
--- /trunk/include/common.inc.php	(revision 27151)
+++ /trunk/include/common.inc.php	(revision 27152)
@@ -74,8 +74,4 @@
 
 foreach( array(
-  'array_intersect_key', //PHP 5 >= 5.1.0RC1
-  'hash_hmac', //(hash) - enabled by default as of PHP 5.1.2
-  'preg_last_error', // PHP 5 >= 5.2.0
-  'json_encode', // PHP 5 >= 5.2.0
   ) as $func)
 {
Index: unk/include/php_compat/array_intersect_key.php
===================================================================
--- /trunk/include/php_compat/array_intersect_key.php	(revision 27151)
+++ 	(revision )
@@ -1,35 +1,0 @@
-<?php
-// http://www.php.net/manual/en/function.array-intersect-key.php
-// PHP 5 >= 5.1.0RC1
-function array_intersect_key()
-{
-  $args = func_get_args();
-  if (count($args) < 2) {
-      trigger_error('Wrong parameter count for array_intersect_key()', E_USER_WARNING);
-      return;
-  }
-
-  // Check arrays
-  $array_count = count($args);
-  for ($i = 0; $i !== $array_count; $i++) {
-      if (!is_array($args[$i])) {
-          trigger_error('array_intersect_key() Argument #' . ($i + 1) . ' is not an array', E_USER_WARNING);
-          return;
-      }
-  }
-
-  // Compare entries
-  $result = array();
-  foreach ($args[0] as $key1 => $value1) {
-      for ($i = 1; $i !== $array_count; $i++) {
-          foreach ($args[$i] as $key2 => $value2) {
-              if ((string) $key1 === (string) $key2) {
-                  $result[$key1] = $value1;
-              }
-          }
-      }
-  }
-
-  return $result;
-}
-?>
Index: unk/include/php_compat/hash_hmac.php
===================================================================
--- /trunk/include/php_compat/hash_hmac.php	(revision 27151)
+++ 	(revision )
@@ -1,25 +1,0 @@
-<?php
-//(hash) - enabled by default as of PHP 5.1.2
-function hash_hmac($algo, $data, $key, $raw_output=false)
-{
-  /* md5 and sha1 only */
-  $algo=strtolower($algo);
-  $p=array('md5'=>'H32','sha1'=>'H40');
-  if ( !isset($p[$algo]) or !function_exists($algo) )
-  {
-    $algo = 'md5';
-  }
-  if(strlen($key)>64) $key=pack($p[$algo],$algo($key));
-  if(strlen($key)<64) $key=str_pad($key,64,chr(0));
-
-  $ipad=substr($key,0,64) ^ str_repeat(chr(0x36),64);
-  $opad=substr($key,0,64) ^ str_repeat(chr(0x5C),64);
-
-  $ret = $algo($opad.pack($p[$algo],$algo($ipad.$data)));
-  if ($raw_output)
-  {
-    $ret = pack('H*', $ret);
-  }
-  return $ret;
-}
-?>
Index: unk/include/php_compat/json_encode.php
===================================================================
--- /trunk/include/php_compat/json_encode.php	(revision 27151)
+++ 	(revision )
@@ -1,53 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-function json_encode($data) {
-  switch (gettype($data)) {
-    case 'boolean':
-      return ($data ? 'true' : 'false');
-    case 'null':
-    case 'NULL':
-      return 'null';
-    case 'integer':
-    case 'double':
-      return $data;
-    case 'string':
-      return '"'. str_replace(array("\\",'"',"/","\n","\r","\t"), array("\\\\",'\"',"\\/","\\n","\\r","\\t"), $data) .'"';
-    case 'object':
-    case 'array':
-      if ($data === array()) return '[]'; # empty array
-      if (range(0, count($data) - 1) !== array_keys($data) ) { # string keys, unordered, non-incremental keys, .. - whatever, make object
-        $out = "\n".'{';
-        foreach($data as $key => $value) {
-          $out .= json_encode((string) $key) . ':' . json_encode($value) . ',';
-        }
-        $out = substr($out, 0, -1) . "\n". '}';
-      }else{
-        # regular array
-        $out = "\n".'[' . join("\n".',', array_map('json_encode', $data)) ."\n".']';
-      }
-      return $out;
-  }
-}
-
-?>
Index: unk/include/php_compat/preg_last_error.php
===================================================================
--- /trunk/include/php_compat/preg_last_error.php	(revision 27151)
+++ 	(revision )
@@ -1,41 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// http://www.php.net/manual/fr/function.preg-last-error.php
-// PHP 5 >= 5.2.0
-if (!defined('PREG_NO_ERROR'))
-  define('PREG_NO_ERROR', 0);
-if (!defined('PREG_INTERNAL_ERROR'))
-  define('PREG_INTERNAL_ERROR', 1);
-if (!defined('PREG_BACKTRACK_LIMIT_ERROR'))
-  define('PREG_BACKTRACK_LIMIT_ERROR', 2);
-if (!defined('PREG_RECURSION_LIMIT_ERROR'))
-  define('PREG_RECURSION_LIMIT_ERROR', 3);
-if (!defined('PREG_BAD_UTF8_ERROR'))
-  define('PREG_BAD_UTF8_ERROR', 4);
-
-function preg_last_error()
-{
-  return PREG_NO_ERROR;
-}
-?>