Index: extensions/Ldap_Login/language/tr_TR/index.php
===================================================================
--- extensions/Ldap_Login/language/tr_TR/index.php	(revision 27170)
+++ extensions/Ldap_Login/language/tr_TR/index.php	(revision 27170)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Ldap_Login/language/tr_TR/plugin.lang.php
===================================================================
--- extensions/Ldap_Login/language/tr_TR/plugin.lang.php	(revision 27170)
+++ extensions/Ldap_Login/language/tr_TR/plugin.lang.php	(revision 27170)
@@ -0,0 +1,44 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['If empty, localhost and standard protocol ports will be used in configuration.'] = 'Eğer boş bırakılırsa, yapılandırmada yerel sunucu (localhost) ve standart protokol portları kullanılacaktır.';
+$lang['If empty, standard protocol ports will be used by the software.'] = 'Eğer boş bırakılırsa yazılım tarafından standart protokol portları kullanılır';
+$lang['Your password'] = 'LDAP şifreniz.';
+$lang['Warning: LDAP Extension missing.'] = 'Uyarı: LDAP uzantısı eksik.';
+$lang['Username'] = 'LDAP kullanıcı adınız';
+$lang['Test Settings'] = 'Test ayarları';
+$lang['Save'] = 'Kaydet';
+$lang['Secure connexion'] = 'Güvenli bağlantı (LDAPS)';
+$lang['Ldap connection credentials'] = 'LDAP bağlantı kimliği';
+$lang['Let the fields blank if the ldap accept anonymous connections.'] = 'Eğer LDAP anonim bağlantıyı kabul ediyorsa alanları boş bırakın';
+$lang['Ldap_Login Plugin'] = 'Ldap Oturum Açma Eklentisi';
+$lang['Ldap_Login Test'] = 'Ldap Oturum Açma Test';
+$lang['Ldap_Login configuration'] = 'Ldap Oturum Açma Yapılandırma';
+$lang['Ldap server host connection'] = 'LDAP sunucu bağlantısı';
+$lang['Ldap server host'] = 'LDAP sunucusu barındırıcı';
+$lang['Ldap filter :'] = 'LDAP filtresi:';
+$lang['Ldap port'] = 'LDAP portu';
+$lang['Ldap attributes'] = 'LDAP öz nitelikleri';
+$lang['Bind password'] = 'Bağlı şifre';
+$lang['Attribute corresponding to the user name'] = 'Kullanıcı adına karşılık gelen öz nitelik';
+$lang['All LDAP users can use their ldap password everywhere on piwigo if needed.'] = 'Gerektiğinde tüm LDAP kullanıcıları Piwigo üzerinde LDAP şifrelerini kullanabilir.';
+?>